
UNIT Maths ;


INTERFACE


CONST     MaxShortInt = 127 ;
	  MinShortInt = -128 ;
	  MaxInteger  = 32767 ;
	  MinInteger  = -32768 ;

type
  TSigne = -1..+1;

  TOrientationRepere = (orCartesien, orEcran);
  {orCartesien : axes vers le haut
   orEcran : axes vers le bas }


{ ** au besoin, la fonction Compute_Formula est
 dans TP7 the complete reference p.643 }

{ fonctions d'change de valeurs}
PROCEDURE EchgeReal (Var aa,bb : Real) ;
PROCEDURE EchgeInt  (Var aa,bb : Integer );
PROCEDURE EchgeSInt (Var aa,bb : ShortInt );

{ repre les max de deux paramtres}
FUNCTION  Max     ( xx, yy : LongInt ) : LongInt ;
FUNCTION  Min     ( xx, yy : LongInt ) : LongInt ;
FUNCTION  MaxReal ( xx, yy : Real ) : Real ;
FUNCTION  MinReal ( xx, yy : Real ) : Real ;

{ log et puissances }
function Log10 (x : Real) : Real ;
function  Puissance (x, i : Real) : Real ;
{ puissance }


{ il exite pas mal de procdures dans TsuntB }


{*****************************************************************}

IMPLEMENTATION

PROCEDURE EchgeReal(Var aa,bb : Real) ;
  Var xx : Real ;
  Begin
    xx:=aa ;
    aa:=bb ;
    bb:=xx
  End ;

PROCEDURE EchgeInt(Var aa,bb : Integer );
  Var xx : Integer ;
  Begin
    xx:=aa ;
    aa:=bb ;
    bb:=xx
  End ;

PROCEDURE EchgeSInt(Var aa,bb : ShortInt );
  Var xx : ShortInt ;
  Begin
    xx:=aa ;
    aa:=bb ;
    bb:=xx
  End ;

FUNCTION  Max ( xx, yy : LongInt ) : LongInt ;
  Begin
    If (xx>yy) Then Max := xx
               Else Max := yy
  End ;

FUNCTION  Min ( xx, yy : LongInt ) : LongInt ;
  Begin
    If (xx<yy) Then Min := xx
               Else Min := yy
  End ;

FUNCTION  MaxReal ( xx, yy : Real ) : Real ;
  Begin
    If (xx>yy) Then MaxReal := xx
               Else MaxReal := yy
  End ;


FUNCTION  MinReal ( xx, yy : Real ) : Real ;
  Begin
    If (xx<yy) Then MinReal := xx
               Else MinReal := yy
  End ;

function Log10 (x : Real) : Real ;
  begin
    Log10 := Ln(x)/ln(10) ;
  end ;

function Puissance (x, i : Real) : real ;
  begin
    Puissance := exp (i*ln(x));
  end ;

{**********************************************************************}

BEGIN

END.